<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      data-namespace-typo3-fluid="true">

<div class="event" itemscope="itemscope" itemtype="http://schema.org/Article">
        <n:excludeDisplayedNews newsItem="{newsItem}"/>
        <div class="date">
            <time itemprop="datePublished" datetime="{f:format.date(date:newsItem.datetime, format:'Y-m-d')}">
                <b><f:format.date format="d">{newsItem.datetime}</f:format.date></b>
            </time>
            <div class="month">
                <f:format.date format="M">{newsItem.datetime}</f:format.date>.
            </div>
        </div>
        <div class="row">
            <f:if condition="{newsItem.mediaPreviews}">
                <f:then>
                    <div class="news-img-wrap col-xs-12 col-lg-5 col-xl-4 ps-5 ps-lg-0">
                        <f:alias map="{mediaElement: newsItem.mediaPreviews.0}">
                            <f:if condition="{mediaElement.originalResource.type} == 2">
                                <v:media.picture src="{mediaElement}" title="{mediaElement.originalResource.title}" alt="{mediaElement.originalResource.alternative}" class="w-100 d-block mx-lg-auto">
                                    <v:media.source media="(min-width: 1200px)" maxW="350c"  maxH="250c" />
                                    <v:media.source media="(min-width: 992px)" width="283c" />
                                    <v:media.source media="(min-width: 768px)" width="654c" />
                                    <v:media.source media="(min-width: 567px)" width="560c" />
                                    <v:media.source width="320c" />
                                    <!--[if IE 9]>
                                    <v:media.source width="350c" height="225c" />
                                    <![endif]-->
                                </v:media.picture>
                            </f:if>
                        </f:alias>

                    </div>
                </f:then>
                <f:else>
                    <div class="col-xs-12 col-lg-5 col-xl-4 ps-5 ps-lg-0">
                        <img src="https://via.placeholder.com/350x225" alt="Placeholder Image" width="350" height="225" class="w-100 d-block">
                    </div>
                </f:else>
            </f:if>
            <div class="col-xs-12 col-lg-7 col-xl-8 mt-3 mt-lg-0">
                <h3 class="h3" itemprop="headline">
                    {newsItem.title -> f:format.crop(maxCharacters: '70', respectWordBoundaries:'1')}
                </h3>
                <f:if condition="{newsItem.author}">
                    <div class="location">
                        <i class="icon-map-pin"></i> {newsItem.author}
                    </div>
                </f:if>
                <n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}" class="btn btn-primary text-white mt-3">Details ansehen</n:link>
            </div>
        </div>

</div>
</html>
